Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# DoInterestManager Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addAutoInterest
def | addInterest
def | alterInterest
def | cleanupWaitAllInterestsComplete
def | closeAutoInterests
def | getAllInterestsCompleteEvent
def | handleInterestDoneMessage
def | isValidInterestHandle
def | noNewInterests
def | openAutoInterests
def | printInterestHistory
def | printInterests
def | printInterestSets
def | printInterestsIfDebug
def | queueAllInterestsCompleteEvent
def | removeAIInterest
def | removeAutoInterest
def | removeInterest
def | resetInterestStateForConnectionLoss
def | setAllInterestsCompleteCallback
def | setNoNewInterests
def | updateInterestDescription
## Static Public Attributes
tuple | InterestDebug = tempbase.config.GetBool('interest-debug', False)
tuple | notify = directNotify.newCategory("DoInterestManager")
| tempbase = base

## Detailed Description

    Top level Interest Manager

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def addAutoInterest | ( |  | self,
|  |  | parentId,
|  |  | zoneIdList,
|  |  | description
| ) |  |

    Look into a (set of) zone(s).

def addInterest | ( |  | self,
|  |  | parentId,
|  |  | zoneIdList,
|  |  | description,
|  |  | event = `None`
| ) |  |

    Look into a (set of) zone(s).

def alterInterest | ( |  | self,
|  |  | handle,
|  |  | parentId,
|  |  | zoneIdList,
|  |  | description = `None`,
|  |  | event = `None`
| ) |  |

    Removes old interests and adds new interests.

    Note that when an interest is changed, only the most recent
    change's event will be triggered. Previous events are abandoned.
    If this is a problem, consider opening multiple interests.

def cleanupWaitAllInterestsComplete | ( |  | self | ) |

def closeAutoInterests | ( |  | self,
|  |  | obj
| ) |  |

def getAllInterestsCompleteEvent | ( |  | self | ) |

def handleInterestDoneMessage | ( |  | self,
|  |  | di
| ) |  |

    This handles the interest done messages and may dispatch an event

def isValidInterestHandle | ( |  | self,
|  |  | handle
| ) |  |

def noNewInterests | ( |  | self | ) |

def openAutoInterests | ( |  | self,
|  |  | obj
| ) |  |

def printInterestHistory | ( |  | self | ) |

def printInterests | ( |  | self | ) |

def printInterestSets | ( |  | self | ) |

def printInterestsIfDebug | ( |  | self | ) |

def queueAllInterestsCompleteEvent | ( |  | self,
|  |  | frames = `5`
| ) |  |

def removeAIInterest | ( |  | self,
|  |  | handle
| ) |  |

    handle is NOT an InterestHandle.  It's just a bare integer representing an
    AI opened interest. We're making the client close down this interest since
    the AI has trouble removing interests(that its opened) when the avatar goes
    offline.  See GuildManager(UD) for how it's being used.

def removeAutoInterest | ( |  | self,
|  |  | handle
| ) |  |

    Stop looking in a (set of) zone(s)

def removeInterest | ( |  | self,
|  |  | handle,
|  |  | event = `None`
| ) |  |

    Stop looking in a (set of) zone(s)

def resetInterestStateForConnectionLoss | ( |  | self | ) |

def setAllInterestsCompleteCallback | ( |  | self,
|  |  | callback
| ) |  |

def setNoNewInterests | ( |  | self,
|  |  | flag
| ) |  |

def updateInterestDescription | ( |  | self,
|  |  | handle,
|  |  | desc
| ) |  |

## Member Data Documentation

tuple InterestDebug = tempbase.config.GetBool('interest-debug', False)`[static]`

tuple notify = directNotify.newCategory("DoInterestManager")`[static]`

tempbase = base`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties